package com.cm.socket.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ISocketMessageEnum
 * @Description:
 * @Author: WangGeng
 * @Date: 2020/7/6 9:26 上午
 * @Version: 1.0
 **/
public enum SocketTypeMessageEnum {

    MESSAGE_TYPE_START((byte) (0xAA << 4)),
    MESSAGE_TYPE_PING((byte) 0x01),
    MESSAGE_TYPE_PONG((byte) 0x02),
    MESSAGE_TYPE_MESSAGE((byte) 0x03),
    MESSAGE_TYPE_EXCEPTION((byte) 0x04),
    MESSAGE_TYPE_ERROR((byte) 0x05),
    MESSAGE_TYPE_CLIENT_INFO((byte) 0x06),
    MESSAGE_TYPE_CLIENT_LOGIN((byte) 0x07);

    private byte type;

    SocketTypeMessageEnum(byte type) {
        this.type = type;
    }

    public byte getType() {
        return type;
    }

}
